summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorBjörn Mattsson <Bjorn.Mattsson@bth.se>2020-11-26 15:43:53 +0100
committerBjörn Mattsson <Bjorn.Mattsson@bth.se>2020-11-26 15:43:53 +0100
commitd8ec65b8e8f80e963817fc4fa4fa7334df94c234 (patch)
tree6132e2669a95f3bfec23e33d5efe7a5fe80a43a6 /scripts
parent0b0c7ffecc730a9c70fa6cc2ed038526270a96d1 (diff)
Added new script for use on release-check
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/update-and-validate.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/scripts/update-and-validate.sh b/scripts/update-and-validate.sh
new file mode 100755
index 00000000..08bbf088
--- /dev/null
+++ b/scripts/update-and-validate.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Used on release-check.swamid.se
+
+update()
+{
+ echo "git pull"
+ git pull || return $?
+ echo
+
+ #echo "make aggregate"
+ #make aggregate || return $?
+ #echo
+
+ #echo "make (2007) web site for backwards compat"
+ #env SWAMID_MK_CONFIG=swamid2007.mk make web || return $?
+ #echo
+
+ #echo "make (2016)"
+ #env SWAMID_MK_CONFIG=swamid2016.mk make || return $?
+ #echo
+
+ #echo "make (2016 - test)"
+ #env SWAMID_MK_CONFIG=swamid2016-test.mk make # Allow this to fail
+ #echo
+}
+
+cd /opt/swamid-metadata || exit 1
+update